<?php 
  require "php/gopher.inc";
  start_page();
?>
<!-- START OF PAGE CONTENT -->

<h1>Headers and footers</h1>

<p>
  The necessary <strong>boilerplate</strong> at the top and bottom of a GopherPHP page is contained in two separate template files: <code>php/page_header.php</code> for the HTML header and page banner or logo, and <code>php/page_footer.php</code> for boilerplate to be inserted at the bottom of each page.  The default header displays a banner with the name of the site at the top of each page, as well as the page modification date and a GopherPHP copyright message at the bottom.
</p>

<p>
  You can modify these templates according to your requirements, but make sure that the required information in the HTML header (especially CSS stylesheets) remains intact.  For instance, you may want to display a project logo instead of the name banner at the top of the page, or include a disclaimer at the bottom of each page.  The standard GopherPHP header and footer templates are shown below.
</p>

<h2>Standard header template</h2>

<pre>
&lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.01 Transitional//EN&quot; &quot;http://www.w3.org/TR/html4/loose.dtd&quot;&gt;
&lt;html&gt;
  &lt;head&gt;
    &lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;text/html; charset=utf-8&quot;&gt;
    &lt;title&gt;&lt;?=$GOPHER_PAGETITLE?&gt;&lt;/title&gt; &lt;!-- name of the GopherPHP site --&gt;
    &lt;link rel=&quot;stylesheet&quot; type=&quot;text/css&quot; href=&quot;&lt;?=$GOPHER_CSS?&gt;&quot;&gt; &lt;!-- main CSS style (GOPHER) --&gt;
    &lt;style type=&quot;text/css&quot;&gt;
  &lt;!--
  &lt;?=$GOPHER_STYLES?&gt;
  --&gt;
    &lt;/style&gt;
    &lt;meta name=&quot;generator&quot; content=&quot;GOPHER-PHP&quot;&gt;
    &lt;meta name=&quot;author&quot; content=&quot;Stefan Evert&quot;&gt;
  &lt;/head&gt;
  &lt;body&gt;
    &lt;!-- a centered logo or text will look better than this standard banner, so consider replacing it --&gt;
    &lt;div class=&quot;banner&quot; id=&quot;top&quot;&gt;
      &lt;b&gt;&lt;?=$GOPHER_PAGETITLE?&gt;&lt;/b&gt;
    &lt;/div&gt;

    &lt;!-- END OF PAGE HEADER (navigation bars are automatically inserted below) --&gt;
</pre>

<h2>Standard footer template</h2>

<pre>
    &lt;!-- PAGE CONTENT ENDS HERE --&gt;

    &lt;h1&gt;&lt;/h1&gt;
    &lt;p class=&quot;backlink&quot;&gt;
      Last modified: &lt;?=date(&quot;d/m/Y&quot;, getlastmod())?&gt;
      &amp;mdash;
      &lt;?php gopher_copyright(); ?&gt;
    &lt;/p&gt;

  &lt;/body&gt;
&lt;/html&gt;
</pre>

<!-- END OF PAGE CONTENT -->
<?php
  end_page();
?>

