<?php 
  require "php/gopher.inc";
  start_page();
?>
<!-- START OF PAGE CONTENT -->

<?php
  $FAQ_file = "data/faq.xml"; /* XML file containing FAQ data */
?>

<h1>Frequently asked questions</h1>
<p class="backlink">
  FAQ last modified: <?=date("d/m/Y", filemtime($FAQ_file))?>
</p>

<!-- This PHP code automatically generates a simple FAQ page from the XML file $FAQ_file -->
<?php
  $FAQ = simplexml_load_file($FAQ_file);
  /* the error_page() function is defined by php/gopher.inc and generates a basic HTML error message */ 
  if (!$FAQ) error_page("Syntax error in FAQ file “${FAQ_file}”.");
  ?>
<p class="navigation">
  <?php
  $section_id = 0;
  foreach ($FAQ->section as $section) {
    $section_id++;
    $name = htmlspecialchars($section['name']);
    if ($section_id > 1)
      echo " &ndash; ";
    ?>
<a href="#section<?=$section_id?>"><?=$name?></a>
    <?php
  }
  ?>
</p>
  <?php
  $dynamic_id = 1;
  $section_id = 0;
  foreach ($FAQ->section as $section) {
    $section_id++;
    $name = htmlspecialchars($section['name']);
    ?>
<h2 id="section<?=$section_id?>"><?=$name?></h2>
<p class="backlink"><a href="#top">back to top</a></p>
<ul>
    <?php
    foreach ($section->entry as $entry) {
      $id = (string) $entry['id'];
      if (!$id) {
        $id = "faq_".$dynamic_id;
        $dynamic_id++;
      }
      $hoisted = ($_GET['hoist'] == $id);
      $Q = htmlspecialchars($entry->q);
      $id = htmlspecialchars($id);
      $link = htmlspecialchars($_SERVER['PHP_SELF']);
      if (!$hoisted)
        $link = $link."?hoist=".$id."#".$id;
      ?>
<li id="<?=$id?>"><a href="<?=$link?>"><b><?=$Q?></b></a>
      <?php
      if ($hoisted) {
        $A = $entry->a->asXML();
        $A = ereg_replace('^<a>|</a>$', '', $A); /* remove <a> element from XML */
        echo "<p>$A</p>\n";
      }
      ?>
</li>
      <?php
    }
    ?>
</ul>
    <?php
  }
?>


<!-- END OF PAGE CONTENT -->
<?php
  end_page();
?>

