<?php 
  require "php/gopher.inc";
  start_page();
?>
<!-- START OF PAGE CONTENT -->

<h1>PHP-based navigation with GOPHER</h1>

<p>
  <strong>GopherPHP</strong> is a simple PHP-based framework for multi-page Web sites with automatic navigation bars, using the <a href="#about_gopher"><strong>GOPHER</strong></a> style sheets and layout templates.  Each GopherPHP page is a separate <code>.php</code> file, which includes the library <code>php/gopher.inc</code> and then generates the necessary boilerplate by calling the <code>start_page()</code> and <code>end_page()</code> functions.  <a href="doc_page_skeleton.php">Click here</a> for a typical <strong>page skeleton</strong>.
</p>

<p>
  The page structure of a GopherPHP site is defined by a <strong>configuration file</strong> in XML format (<a href="doc_config_file.php">view specification and example</a>).
</p>

<p>
  The general appearance of the site can easily be changed by selecting a different CSS stylesheet in the configuration file, or by allowing users to choose one of the pre-defined GOPHER styles (by clicking on the <b>preferences icon</b> <img src="css/preferences.png" alt="Display Preferences Icon" border="0"/> in the top right corner of the navigation bar).  Finer control is achieved by editing the templates for page headers and footers, e.g. to display a project logo instead of the title banner at the top of each page (<a href="doc_headers_and_footers.php">more information</a>).
</p>

<p>
  Other features of GopherPHP include <a href="doc_specials.php">pre-defined functions</a> to generate a simple site map, or to embed the display preferences dialogue in a Web site rather than using the global preferences icon.
</p>

<h1 id="about_gopher">About GOPHER</h1>

<p>
  <strong>GOPHER</strong> is a set of CSS stylesheets for basic single-page and multi-page Web sites.  The styles have been designed to give a clean, readable layout and to be compatible with all major Web browsers.<sup><a href="#gopher_compatibility">[1]</a></sup> They can be used either for static HTML pages or with the <strong>GopherPHP</strong> templating framework, which enables users to choose between different stylesheets and font sizes.  Currently, the GOPHER styles are available with three different font sets (Web, Office, Mac) and two colour schemes (purple and RGB).
</p>

<p>
  <a href="doc_gopher.php">Click here</a> for an overview of the GOPHER layout.  There are also templates for static HTML pages (<a href="gopher_template.html">single-page layout</a>) and static multi-page sites (<a href="gopher_template_multi.html">default colours</a>, <a href="gopher_template_multi_rgb.html">RGB colour scheme</a>).
</p>

<p>
  By the way, <strong>GOPHER</strong> stands for <strong>G</strong>ood <strong>O</strong>ld <strong>P</strong>lain <strong>H</strong>TML for the occasional writ<strong>ER</strong>.
</p>

<p style="font-size:90%;">
  <sup><a id="gopher_compatibility">[1]</a></sup>
  Gopher has been tested with recent versions of Firefox, Internet Explorer, Safari, Camino, Konqueror and Lynx ;-) on Microsoft Windows XP, Mac OS X and Ubuntu Linux.
</p>

<!-- END OF PAGE CONTENT -->
<?php
  end_page();
?>

