<?php 
  require "php/gopher.inc";
  start_page();
?>
<!-- START OF PAGE CONTENT -->

<h1>Installing GOPHER and GopherPHP</h1>

<h2>Prerequisites</h2>

<p>
  The <strong>GOPHER</strong> styles consist of standard CSS files and associated HTML page templates, and can be used on any Web server (or even with plain disk files).  The <strong>GopherPHP</strong> framework requires a recent version of <a href="http://www.php.net/" class="external" target="_blank"><b>PHP</b></a> to be installed on the Web server, which must be configured to allow <code>.php</code> pages in the main directory of the GopherPHP Web site.  Personal Web pages hosted by commercial providers are usually compatible with the GopherPHP framework and do not require special configuration.
</p>

<h2>Installation instructions</h2>

<p>
  Obtain the ZIP archive for GOPHER version <?=$GOPHER_VERSION?> from the <a href="download.php">downloads page</a>, and unpack it in a suitable directory on your Web server.  If you only want the <strong>GOPHER styles</strong>, it is sufficient to copy the <code>css/</code> subdirectory and the appropriate HTML template (<code>gopher_template.html</code>, <code>gopher_template_multi.html</code> or <code>gopher_template_multi_rgb.html</code>), which shows how to include a GOPHER style and use its special formatting options.
</p>

<p>
  In order to use the <strong>GopherPHP framework</strong>, adjust the site configuration in <code>php/gopher_config.xml</code> and replace the included documentation pages with your own Web pages.  The <code>data/</code> folder contains files used by the GOPHER Web site and can be deleted.  Check the <a href="doc_page_skeleton.php">documentation section</a> for more information about the GopherPHP framework, the GOPHER styles, and customisation options.
</p>

<h2>Upgrading an existing installation</h2>

<p>
  To upgrade an existing GopherPHP site, it is usually sufficient to replace the <code>css/</code> folder and the PHP library <code>php/gopher.inc</code> with the new versions.  Possibly incompatible changes in other files and the necessary modifications are always indicated on the <a href="changes.php">versions &amp; changes</a> page.
</p>

<!-- END OF PAGE CONTENT -->
<?php
  end_page();
?>

